package cn.skcks.docking.gb28181.wvp.api.video.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class VideoMp4Req {

    @NotBlank(message = "设备编码 不能为空")
    @Schema(description = "设备编码")
    private String deviceCode;

    @Schema(description = "开始时间 (毫秒)",example = "1695593100207")
    @NotBlank(message = "开始时间 不能为空")
    private Long startTime;

    @Schema(description = "结束时间 (毫秒)",example = "1695593190207")
    @NotBlank(message = "结束时间 不能为空")
    private Long endTime;

    @Schema(description = "http 头是否需要文件名 (没有文件名时浏览器会试图直接播放,会导致短时间内重复访问同一设备,导致失败)")
    private Boolean fileHeader = true;
}
